> ## Documentation Index
> Fetch the complete documentation index at: https://docs.qobra.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch records

> Retrieves table records data

## Pagination

This endpoint is paginated using parameters offset and limit
The “next” key in the response allow you to easily follow pagination to get the
next batch of users

## Variable api keys

This endpoint is based on dynamic fields. This mean that all annotations
that look like `<variable-key>`, will have to or will be replaced by their
actual API keys.


## OpenAPI

````yaml get /v1/tables/{data_table_key}/records
openapi: 3.0.2
info:
  version: 1.0.0
  title: Qobra API
  description: API documentation for Qobra
servers:
  - url: https://api.qobra.co
    description: API
security: []
paths:
  /v1/tables/{data_table_key}/records:
    get:
      tags:
        - public_api
        - v1
        - tables
      summary: Fetch records
      description: Retrieves table records data
      operationId: GET_/v1/tables/(data_table_key)/records
      parameters:
        - name: data_table_key
          in: path
          required: true
          schema:
            type: string
          description: Used to identify the data table
        - name: offset
          in: query
          schema:
            title: Offset
            description: Optional (minimum:0 - maximum:9223372036854775807)
            default: 0
            minimum: 0
            maximum: 9223372036854776000
            type: integer
          required: false
        - name: limit
          in: query
          schema:
            title: Limit
            description: >-
              Optional (minimum:0 - maximum:2000): if set to 0 return total
              count only
            default: 2000
            minimum: 0
            maximum: 2000
            type: integer
          required: false
      responses:
        '200':
          description: Success operation
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/GetManyResponseModel_RecordDataModel_Success
              examples:
                fetch-records-success:
                  $ref: >-
                    #/components/examples/GetManyResponseModel_RecordDataModel_SuccessExample
      security:
        - api_key: []
components:
  schemas:
    GetManyResponseModel_RecordDataModel_Success:
      type: object
      properties:
        count:
          title: Count
          type: integer
          description: Number of records in the response
        next:
          title: Next
          type: string
          description: Next page of the response
        data:
          title: Data
          type: array
          items:
            $ref: '#/components/schemas/RecordDataModel'
      required:
        - count
        - data
      title: GetManyResponseModel[RecordDataModel]
    RecordDataModel:
      type: object
      properties:
        <id-field-api-key>:
          description: Record unique identifier value
          type: string
        <name-field-api-key>:
          description: Record name value
          type: string
        <field-1-api-key>:
          type: string
          description: Field 1 value
        <field-2-api-key>:
          type: string
          description: Field 1 value
        <field-3-api-key>:
          type: string
          description: Field 1 value
        <amount-field-1-api-key>:
          type: string
          description: Field 1 value
        <amount-field-1-api-key>_currency:
          $ref: '#/components/schemas/CurrencyCode'
      required:
        - <id-field-api-key>
        - <name-field-api-key>
        - <field-1-api-key>
        - <field-2-api-key>
        - <field-3-api-key>
        - <amount-field-1-api-key>
        - <amount-field-1-api-key>_currency
      additionalProperties:
        oneOf:
          - type: string
          - type: integer
      title: RecordDataModel
    CurrencyCode:
      description: Allowed currency codes.
      type: string
      enum:
        - AED
        - AFN
        - ALL
        - AMD
        - ANG
        - AOA
        - ARS
        - AUD
        - AWG
        - AZN
        - BAM
        - BBD
        - BDT
        - BGN
        - BHD
        - BIF
        - BMD
        - BND
        - BOB
        - BOV
        - BRL
        - BSD
        - BTN
        - BWP
        - BYR
        - BZD
        - CAD
        - CDF
        - CHF
        - CLF
        - CLP
        - CNY
        - COP
        - COU
        - CRC
        - CUC
        - CUP
        - CVE
        - CZK
        - DJF
        - DKK
        - DOP
        - DZD
        - EGP
        - ERN
        - ETB
        - EUR
        - FJD
        - FKP
        - GBP
        - GEL
        - GHS
        - GIP
        - GMD
        - GNF
        - GTQ
        - GYD
        - HKD
        - HNL
        - HRK
        - HTG
        - HUF
        - IDR
        - ILS
        - INR
        - IQD
        - IRR
        - ISK
        - JMD
        - JOD
        - JPY
        - KES
        - KGS
        - KHR
        - KMF
        - KPW
        - KRW
        - KWD
        - KYD
        - KZT
        - LAK
        - LBP
        - LKR
        - LRD
        - LSL
        - LTL
        - LVL
        - LYD
        - MAD
        - MDL
        - MGA
        - MKD
        - MMK
        - MNT
        - MOP
        - MRO
        - MUR
        - MVR
        - MWK
        - MXN
        - MYR
        - MZN
        - NAD
        - NGN
        - NIO
        - NOK
        - NPR
        - NZD
        - OMR
        - PAB
        - PEN
        - PGK
        - PHP
        - PKR
        - PLN
        - PYG
        - QAR
        - RON
        - RSD
        - RUB
        - RWF
        - SAR
        - SBD
        - SCR
        - SDG
        - SEK
        - SGD
        - SHP
        - SLL
        - SOS
        - SRD
        - STD
        - SVC
        - SYP
        - SZL
        - THB
        - TJS
        - TMT
        - TND
        - TOP
        - TRY
        - TTD
        - TWD
        - TZS
        - UAH
        - UGX
        - USD
        - UYI
        - UYU
        - UZS
        - VEF
        - VND
        - VUV
        - WST
        - XAG
        - XAU
        - XCD
        - XPD
        - XPT
        - XSU
        - YER
        - ZAR
        - ZMK
        - ZWL
      title: CurrencyCode
  examples:
    GetManyResponseModel_RecordDataModel_SuccessExample:
      value:
        count: 3026
        next: >-
          https://api.qobra.co/v1/tables/opportunities/records?limit=2000&offset=2000
        data:
          - id: 6545110915808dbcc34531ef
            name: Great opportunity
            owner_id: user@company.fr
            close_date: '2024-06-25T09:58:32Z'
            product: Product A
            amount: 4000
            amount_currency: EUR
            deal_types: New Business, Existing Business
          - ...
  securitySchemes:
    api_key:
      type: apiKey
      name: X-API-Key
      in: header

````